> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Data Processing Engines > Returns a list of data processing engines ## OpenAPI ````json GET /api/v1/Authoring/data-processing-engines { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/data-processing-engines": { "get": { "tags": [ "Authoring" ], "summary": "Get Data Processing Engines", "description": "Returns a list of data processing engines", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataProcessingEngines" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.DataProcessingEngines": { "title": "DataProcessingEngines", "type": "object", "properties": { "engines": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataProcessingEngine" }, "description": "A list of active data processing engines" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataProcessingEngine": { "title": "DataProcessingEngine", "type": "object", "properties": { "id": { "type": "integer", "description": "The data processing engine ID", "format": "int32" }, "name": { "type": "string", "description": "The data processing engine name" }, "engineType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.DataProcessingEngineType" }, "serverName": { "type": "string", "description": "The server name of the data processing engine" }, "databaseName": { "type": "string", "description": "The database name of the data processing engine" }, "testResultLocation": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ResultStorageLocation" }, "historicalProfileLocation": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ResultStorageLocation" }, "latestProfileLocation": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ResultStorageLocation" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.DataProcessingEngineType": { "title": "EngineType", "enum": [ "BuiltIn", "Snowflake", "Databricks" ], "type": "string" }, "Configuration.Api.Models.v1.ResultStorageLocation": { "title": "StorageLocation", "enum": [ "LocalStorage", "Snowflake", "Databricks" ], "type": "string" } } } } ````